# Dog

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Breed** | Pointer to **string** |  | [optional] 

## Methods

### GetBreed

`func (o *Dog) GetBreed() string`

GetBreed returns the Breed field if non-nil, zero value otherwise.

### GetBreedOk

`func (o *Dog) GetBreedOk() (string, bool)`

GetBreedOk returns a tuple with the Breed field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasBreed

`func (o *Dog) HasBreed() bool`

HasBreed returns a boolean if a field has been set.

### SetBreed

`func (o *Dog) SetBreed(v string)`

SetBreed gets a reference to the given string and assigns it to the Breed field.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


